package ee.coding.beauty.util;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Random;
import java.util.Set;

import org.springframework.web.servlet.ModelAndView;

import ee.coding.beauty.domain.Content;
import ee.coding.beauty.service.IContentService;

public class CacheUtil {

	private static Map<String, ModelAndView> keyMVMap = new HashMap<>();
	private static Map<String, Map<String, ModelAndView>> myCache = new HashMap<>();

	// 朕要翻牌的缓存
	private static Map<String, Set<Content>> fanpaiMap = new HashMap<>();

	public static Map<String, ModelAndView> getKeyMVMap() {
		String timeKey = TimeUtil.getHourTimeStamp().toString();
		keyMVMap = myCache.get(timeKey);
		// 如果根据当前时间戳取不到,则说明所存储的时间戳和所有MV都过期了，清空myCache再添加当前时间戳为key的keyMVMap
		if (keyMVMap == null) {
			myCache.clear();
			keyMVMap = new HashMap<>();
			myCache.put(timeKey, keyMVMap);
		}
		return keyMVMap;
	}

	public static Set<Content> getFanpaiContent(IContentService service, Random random) {
		String key = TimeUtil.getHourTimeStamp().toString();
		Set<Content> set = fanpaiMap.get(key);
		if (set == null) {
			fanpaiMap.clear();
			set = new HashSet<>();
			while (set.size() <= 30) {
				set.add(service.get(random.nextInt(service.getTotalCount()) + 1, TimeUtil.getHourTimeStamp()));
			}
			fanpaiMap.put(key, set);
		}
		return set;
	}

}
