package ee.coding.beauty.web.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import ee.coding.beauty.domain.Guestbook;
import ee.coding.beauty.service.IGuestbookService;
import ee.coding.beauty.util.TimeUtil;
import ee.coding.beauty.util.ViewNameUtil;

@Controller
// 表示这个类使用注解的方式配置URL映射
public class GuestbookController {

	@Autowired
	private IGuestbookService guestbookService;

	@RequestMapping("/guestbook")
	// 看是否传递错误页面的信息并跳转到guestbook页面
	public ModelAndView guest(HttpServletRequest request, String go) throws Exception {
		ModelAndView mv = new ModelAndView();
		if (go != null && go.equals("err")) {
			String referer = request.getHeader("referer");
			mv.addObject("referer", referer);
		}
		ViewNameUtil.setViewName(request, mv, "guestbook");
		return mv;
	}

	@RequestMapping("/guest")
	// 保存访客的留言
	public ModelAndView saveMessage(Guestbook guestbook, HttpServletRequest request) throws Exception {
		ModelAndView mv = new ModelAndView();
		guestbook.setDate(TimeUtil.getDate());
		guestbookService.save(guestbook);
		ViewNameUtil.setViewName(request, mv, "tips");
		return mv;
	}

}
